#
#
# $Id: Debug.pm,v 1.1.2.2.6.1 2012/04/26 07:44:08 kyri Exp $
#
# (C) Copyright 2010 by Open iT inc., All rights reserved.
#
# This software may be used or copied only with the written permission by
# Open Systems Consultans a.s or in accordance with the terms and conditions
# stipulated in the agreement under which this software has been supplied.
#
# This file is part of Open iT.
#
#HEAD##########################################################################
#
# @NAME:
#   Debug
# @AUTHOR:
#   Kjetil Yri
# @CREATED:
#   Wed Sep 30 12:00:00 MET 2010
# @DESCRIPTION:
#   Debug packege
#
#/HEAD#########################################################################

use strict;

package OpeniT::Contrib::Debug;

require Exporter;

@OpeniT::Contrib::Debug::ISA    = qw(Exporter);
@OpeniT::Contrib::Debug::EXPORT = qw(
  set_debug_filename
  debug
);
@OpeniT::Contrib::Debug::EXPORT_OK = qw();

my $debug_filename;

my $message_given = 0;

sub set_debug_filename {
    $debug_filename = shift @_;
    if( system( "cat /dev/null > $debug_filename" ) != 0 ) {
	if( ! $message_given ) {
	    warn "Failed to clean '$debug_filename': $?\n";
	    $message_given = 1;
	}
    }
}

sub debug {
    my( $line ) = @_;
    if( ! defined $debug_filename ) {
	return;
    }
    chomp $line;
    $line .= "\n";
    if( ! open( FILE, ">>$debug_filename" ) ) {
	if( ! $message_given ) {
	    warn "Could not open '$debug_filename': $!\n";
	    $message_given = 1;
	}
    }
    if( ! print FILE $line ) {
	if( ! $message_given ) {
	    warn "Could not write to '$debug_filename': $!\n";
	    $message_given = 1;
	}
    }
    close( FILE );
}

1;

